Name:           perl-Storable
Version:        2.51
Release:        1%{?org_tag}%{?dist}
Summary:        Persistence for Perl data structures
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Storable/
Source0:        http://localhost/cpan//authors/id/A/AM/AMS/Storable-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
The Storable package brings persistence to your Perl data structures
containing SCALAR, ARRAY, HASH or REF objects, i.e. anything that can be
conveniently stored to disk and retrieved at a later time.

%prep
%setup -q -n Storable-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# Man page conflicts with stock perl version - rename and overwrite in %post
for i in %{buildroot}%{_mandir}/man3/*.3pm; do
  mv $i ${i%%.3pm}-%{version}.3pm
done

%{_fixperms} %{buildroot}/*

%post
# On install, overwrite old man pages with updated ones
for i in %{_mandir}/man3/*-%{version}.3pm.gz; do
  cp $i ${i%%-%{version}.3pm.gz}.3pm.gz
done

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Storable*
%{_mandir}/man3/*

%changelog
* Thu Aug 21 2014 Gavin Carr <gavin@openfusion.com.au> 2.51-1
- Update to version 2.51.

* Thu Sep 13 2012 Gavin Carr <gavin@openfusion.com.au> 2.39-1
- Update to version 2.39.

* Mon Sep 10 2012 Gavin Carr <gavin@openfusion.com.au> 2.35-1
- Specfile autogenerated by cpanspec 1.79.
